org.icefaces.ace.component.dialog

## Interface IDialog

- All Known Implementing Classes:
    Dialog, DialogBase

      public interface IDialog

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDialogPosition()`
    `java.lang.String` | `getHeader()`
    `int` | `getHeight()`
    `java.lang.String` | `getHideEffect()`
    `int` | `getMinHeight()`
    `int` | `getMinWidth()`
    `java.lang.String` | `getOnHide()`
    `java.lang.String` | `getOnShow()`
    `java.lang.String` | `getPosition()`
    `java.lang.String` | `getRelativePosition()`
    `java.lang.String` | `getRelativeTo()`
    `java.lang.String` | `getSetFocus()`
    `java.lang.String` | `getShowEffect()`
    `java.lang.String` | `getStyleClass()`
    `java.lang.String` | `getWidgetVar()`
    `int` | `getWidth()`
    `int` | `getZindex()`
    `boolean` | `isClosable()`
    `boolean` | `isCloseOnEscape()`
    `boolean` | `isDraggable()`
    `boolean` | `isModal()`
    `boolean` | `isResizable()`
    `boolean` | `isShowHeader()`
    `boolean` | `isVisible()`
    `void` | `setClosable(boolean closable)`
    `void` | `setCloseOnEscape(boolean closeOnEscape)`
    `void` | `setDialogPosition(java.lang.String dialogPosition)`
    `void` | `setDraggable(boolean draggable)`
    `void` | `setHeader(java.lang.String header)`
    `void` | `setHeight(int height)`
    `void` | `setHideEffect(java.lang.String hideEffect)`
    `void` | `setMinHeight(int minHeight)`
    `void` | `setMinWidth(int minWidth)`
    `void` | `setModal(boolean modal)`
    `void` | `setOnHide(java.lang.String onHide)`
    `void` | `setOnShow(java.lang.String onShow)`
    `void` | `setPosition(java.lang.String position)`
    `void` | `setRelativePosition(java.lang.String relativePosition)`
    `void` | `setRelativeTo(java.lang.String relativeTo)`
    `void` | `setResizable(boolean resizable)`
    `void` | `setSetFocus(java.lang.String setFocus)`
    `void` | `setShowEffect(java.lang.String showEffect)`
    `void` | `setShowHeader(boolean showHeader)`
    `void` | `setStyleClass(java.lang.String styleClass)`
    `void` | `setVisible(boolean visible)`
    `void` | `setWidgetVar(java.lang.String widgetVar)`
    `void` | `setWidth(int width)`
    `void` | `setZindex(int zindex)`

- - ### Method Detail

    - #### setClosable

          void setClosable(boolean closable)

    - #### isClosable

          boolean isClosable()

    - #### setCloseOnEscape

          void setCloseOnEscape(boolean closeOnEscape)

    - #### isCloseOnEscape

          boolean isCloseOnEscape()

    - #### setDialogPosition

          void setDialogPosition(java.lang.String dialogPosition)

    - #### getDialogPosition

          java.lang.String getDialogPosition()

    - #### setDraggable

          void setDraggable(boolean draggable)

    - #### isDraggable

          boolean isDraggable()

    - #### setHeader

          void setHeader(java.lang.String header)

    - #### getHeader

          java.lang.String getHeader()

    - #### setHeight

          void setHeight(int height)

    - #### getHeight

          int getHeight()

    - #### setHideEffect

          void setHideEffect(java.lang.String hideEffect)

    - #### getHideEffect

          java.lang.String getHideEffect()

    - #### setMinHeight

          void setMinHeight(int minHeight)

    - #### getMinHeight

          int getMinHeight()

    - #### setMinWidth

          void setMinWidth(int minWidth)

    - #### getMinWidth

          int getMinWidth()

    - #### setModal

          void setModal(boolean modal)

    - #### isModal

          boolean isModal()

    - #### setOnHide

          void setOnHide(java.lang.String onHide)

    - #### getOnHide

          java.lang.String getOnHide()

    - #### setOnShow

          void setOnShow(java.lang.String onShow)

    - #### getOnShow

          java.lang.String getOnShow()

    - #### setPosition

          void setPosition(java.lang.String position)

    - #### getPosition

          java.lang.String getPosition()

    - #### setRelativePosition

          void setRelativePosition(java.lang.String relativePosition)

    - #### getRelativePosition

          java.lang.String getRelativePosition()

    - #### setRelativeTo

          void setRelativeTo(java.lang.String relativeTo)

    - #### getRelativeTo

          java.lang.String getRelativeTo()

    - #### setResizable

          void setResizable(boolean resizable)

    - #### isResizable

          boolean isResizable()

    - #### setSetFocus

          void setSetFocus(java.lang.String setFocus)

    - #### getSetFocus

          java.lang.String getSetFocus()

    - #### setShowEffect

          void setShowEffect(java.lang.String showEffect)

    - #### getShowEffect

          java.lang.String getShowEffect()

    - #### setShowHeader

          void setShowHeader(boolean showHeader)

    - #### isShowHeader

          boolean isShowHeader()

    - #### setStyleClass

          void setStyleClass(java.lang.String styleClass)

    - #### getStyleClass

          java.lang.String getStyleClass()

    - #### setVisible

          void setVisible(boolean visible)

    - #### isVisible

          boolean isVisible()

    - #### setWidgetVar

          void setWidgetVar(java.lang.String widgetVar)

    - #### getWidgetVar

          java.lang.String getWidgetVar()

    - #### setWidth

          void setWidth(int width)

    - #### getWidth

          int getWidth()

    - #### setZindex

          void setZindex(int zindex)

    - #### getZindex

          int getZindex()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.